package com.zt.plat.module.base.convert.doctemplate;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.base.controller.admin.doctemplate.vo.DocTemplateRespVO;
import com.zt.plat.module.base.controller.admin.doctemplate.vo.DocTemplateSaveReqVO;
import com.zt.plat.module.base.dal.dataobject.doctemplate.DocTemplateDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 模板 Convert
 *
 * @author 系统生成
 */
@Mapper
public interface DocTemplateConvert {

    DocTemplateConvert INSTANCE = Mappers.getMapper(DocTemplateConvert.class);

    DocTemplateDO convert(DocTemplateSaveReqVO bean);

    DocTemplateRespVO convert(DocTemplateDO bean);

    List<DocTemplateRespVO> convertList(List<DocTemplateDO> list);

    PageResult<DocTemplateRespVO> convertPage(PageResult<DocTemplateDO> page);

}
